Database Automatic Tuning - Update
更新目标数据库的自动优化属性。
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/automaticTuning/current?api-version=2025-01-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
database
|
path | True |
string |
数据库的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
server
|
path | True |
string |
服务器的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| properties.desiredState |
自动优化所需状态。 |
|
| properties.options |
<string,
Automatic |
自动优化选项定义。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
| Updates database automatic tuning settings with all properties |
| Updates database automatic tuning settings with minimal properties |
Updates database automatic tuning settings with all properties
示例请求
PATCH https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current?api-version=2025-01-01
{
"properties": {
"desiredState": "Auto",
"options": {
"createIndex": {
"desiredState": "Off"
},
"dropIndex": {
"desiredState": "On"
},
"forceLastGoodPlan": {
"desiredState": "Default"
}
}
}
}
示例响应
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "Off",
"desiredState": "Off"
},
"dropIndex": {
"actualState": "On",
"desiredState": "On"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Updates database automatic tuning settings with minimal properties
示例请求
PATCH https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current?api-version=2025-01-01
{
"properties": {
"desiredState": "Auto"
}
}
示例响应
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"dropIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
定义
| 名称 | 说明 |
|---|---|
|
Automatic |
如果需要和实际状态的原因说明不同。 |
|
Automatic |
自动优化所需状态。 |
|
Automatic |
自动优化选项实际状态。 |
|
Automatic |
自动优化选项所需状态。 |
|
Automatic |
单个顾问的自动优化属性。 |
|
created |
创建资源的标识的类型。 |
|
Database |
数据库级自动优化。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
system |
与创建和上次修改资源相关的元数据。 |
AutomaticTuningDisabledReason
如果需要和实际状态的原因说明不同。
| 值 | 说明 |
|---|---|
| Default |
默认 |
| Disabled |
已禁用 |
| AutoConfigured |
自动配置 |
| InheritedFromServer |
InheritedFromServer |
| QueryStoreOff |
QueryStoreOff |
| QueryStoreReadOnly |
QueryStoreReadOnly |
| NotSupported |
不支持 |
AutomaticTuningMode
自动优化所需状态。
| 值 | 说明 |
|---|---|
| Inherit |
继承 |
| Custom |
自定义 |
| Auto |
自动 |
| Unspecified |
未指定 |
AutomaticTuningOptionModeActual
自动优化选项实际状态。
| 值 | 说明 |
|---|---|
| Off |
关闭 |
| On |
开启 |
AutomaticTuningOptionModeDesired
自动优化选项所需状态。
| 值 | 说明 |
|---|---|
| Off |
关闭 |
| On |
开启 |
| Default |
默认 |
AutomaticTuningOptions
单个顾问的自动优化属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| actualState |
自动优化选项实际状态。 |
|
| desiredState |
自动优化选项所需状态。 |
|
| reasonCode |
integer (int32) |
如果需要,原因代码和实际状态不同。 |
| reasonDesc |
如果需要和实际状态的原因说明不同。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DatabaseAutomaticTuning
数据库级自动优化。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.actualState |
自动优化实际状态。 |
|
| properties.desiredState |
自动优化所需状态。 |
|
| properties.options |
<string,
Automatic |
自动优化选项定义。 |
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |